import {
  get,
  post,
} from '@/common/utils/http-util.ts'

export default {
  paging(data: TruckTypes.SearchTruckParam) {
    return get<G.PageResult<TruckTypes.SearchTruckResult>>('/truck/paging', data)
  },
  detail(id: string) {
    return get<TruckTypes.SearchTruckResult>('/truck/detail', {id})
  },
  add(data: TruckTypes.AddTruckParam) {
    return post('/truck/add', data)
  },
  modify(data: TruckTypes.ModifyTruckParam) {
    return post('/truck/modify', data)
  },
  del(ids: string[]) {
    return post('/truck/del', ids)
  },
}
